org.apache.ignite.internal.processors.service

## Class ServiceProcessorJoinNodeDiscoveryData

- java.lang.Object
- - org.apache.ignite.internal.processors.service.ServiceProcessorJoinNodeDiscoveryData

All Implemented Interfaces:
  Serializable

    public class ServiceProcessorJoinNodeDiscoveryData
    extends Object
    implements Serializable

Initial data of `IgniteServiceProcessor` to send in cluster on joining node.

See Also:
  Serialized Form

### Field Summary

Fields
`ArrayList<ServiceInfo>` `staticServicesInfo` Static services configurations info.

### Constructor Summary

Constructors
Constructor and Description
`ServiceProcessorJoinNodeDiscoveryData(@NotNull ArrayList<ServiceInfo> staticServicesInfo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ArrayList<ServiceInfo>` `services()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### staticServicesInfo

    public final ArrayList<ServiceInfo> staticServicesInfo

Static services configurations info.

### Constructor Detail

#### ServiceProcessorJoinNodeDiscoveryData

    public ServiceProcessorJoinNodeDiscoveryData(@NotNull
                                                 @NotNull ArrayList<ServiceInfo> staticServicesInfo)

Parameters:
  `staticServicesInfo` - Static services configurations info.

### Method Detail

#### services

    public ArrayList<ServiceInfo> services()

Returns:
  Static services configurations info.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022